Subject: Re: Urgent - Snaprental Complaint
From: "Ratnesh Kumar. Singh" <[email-masked]>
To: Pritish Nandi <[email-masked]>
Cc: Danish Khan <[email-masked]>, Deepak Chauhan <[email-masked]>, Dhirendra <[email-masked]>, Subhojit Hati <[email-masked]>, Vishal Bassi <[email-masked]>, sankalp <[email-masked]>, deeksha <[email-masked]>, saurabh <[email-masked]>, Subir Chakma <[email-masked]>
Date: Wed, 9 May 2018 14:59:34 +0530 (IST)

Hi Pritish, 

Thank you for the feedback. I agree there have been quite a few misses from our end and I'm sure the team would work towards minimising them. However, a few points I wanted to discuss which may help us improve the level of service if we can take these up with the client and come up with any kind of a positive outcome. Few of the key dissatisfiers for a lot of customers which I have come across: 

1) We being customer service do not have an access to any existing reservations. Whenever a customers calls in to check any existing reservations or modify them we have to tell the customer that we do not have an access to any existing reservations and that we will be forwarding there concern and have somebody get back to them with an update which doesn't make us sound good to the customers. 

2) Many a times even after we submit the jotform customers are not contacted in a timely manner and we are not sure what is the SLA or the turn around time for somebody to get back to the customer after a jotform is submitted. 

3) There are quite a few ocassions where the numbers for the afterhours locations ( Auckland most of the time ) are not reachable and we don't know if it is an issue from our end or their end. 

4) There are cases where the customer's original pickup time is during the normal working hours however, their flight gets delayed and they arrive afterhours. In these cases our offices are closed and the afterhours does not have their car which puts them in a catch 22 situation. 

5) Lastly regarding the bond amount we have instructions to inform the customer that the bond amount may take upto 3 weeks to be refunded from the time of returning the car. However, most of the customers call us informing that at the time of returning the vehicle they were informed that the bond amount will be refunded within 2-3 days and eventually it is not refunded even after 3 weeks in quite a few cases. 

Just see if can get some clarity and further insights into these issues as these are definitely affecting the overall customer experience. 

Thanks and regards, 
Ratnesh 

From: "Pritish Nandi" <[email-masked]> 
To: "Danish Khan" <[email-masked]>, "Deepak Chauhan" <[email-masked]>, "Dhirendra" <[email-masked]>, "Ratnesh Kumar. Singh" <[email-masked]>, "Subhojit Hati" <[email-masked]>, "Vishal Bassi" <[email-masked]>, "sankalp" <[email-masked]> 
Cc: "deeksha" <[email-masked]>, "saurabh" <[email-masked]>, "Subir Chakma" <[email-masked]> 
Sent: Wednesday, May 9, 2018 12:18:51 AM 
Subject: Urgent - Snaprental Complaint 

Team, 

We are getting too many Client Complaints for Snaprentals. In fact the last email we have received was from CEO of Snap who was not happy the way we were working. Please make sure you are aware of the terms of service/Locations/ Policies/extra's - in short all about Snaprentals to provide customer service to our customer. 

No slippage would be acceptable and tolerated. You need to go through the website and you would be able to know everything about Snaprentals. 

Also just to advise- WE ARE NOT SHUTTLE BOOKING SERVICE only. Please make sure you are not using that as an excuse. 

I would want everybody to acknowledge the feedback I sent for Snap and implements the feedback. 

Regards, 
Pritish Nandi